# Popup

Home Search

## Popup

- Basics
- Options
- Methods
- Events

The popup plugin has the following custom events:

`popupbeforeposition` triggered after a popup has completed preparations for opening, but has not yet opened

      $( ".selector" ).bind({
         popupbeforeposition: function(event, ui) { ... }
      });

  This event is triggered when the popup has completed preparations for appearing on the screen. At this point the popup has not started the animations and it has not yet calculated the coordinates where it will appear on the screen. Handling this event gives an opportunity to modify the content of the popup before it appears on the screen. For example, the content can be scaled or parts of it can be hidden or removed if it is too wide or too tall.

`popupafteropen` triggered after a popup has completely opened

      $( ".selector" ).bind({
         popupafteropen: function(event, ui) { ... }
      });

  This event is triggered when the popup has completely appeared on the screen, meaning that all associated animations have completed.

`popupafterclose` triggered when a popup has completely closed

      $( ".selector" ).bind({
         popupafterclose: function(event, ui) { ... }
      });

  This event is triggered when the popup has completely disappeared from the screen, meaning that all associated animations have completed.

### More in this section

- Pages & Dialogs
- Anatomy of a page
- Single page template
- Multi-page template
- Page titles
- Linking pages
- Page transitions
- Page loading widget
- Dialogs
- Popups
- Prefetching & caching pages
- Ajax, hashes & history
- Dynamically Injecting Pages
- Scripting pages
- PhoneGap apps
- touchOverflow feature
- Theming pages